# -*- coding: utf-8 -*-
# Generated by the protocol buffer compiler.  DO NOT EDIT!
# source: messages.proto
"""Generated protocol buffer code."""
from google.protobuf.internal import builder as _builder
from google.protobuf import descriptor as _descriptor
from google.protobuf import descriptor_pool as _descriptor_pool
from google.protobuf import symbol_database as _symbol_database
# @@protoc_insertion_point(imports)

_sym_db = _symbol_database.Default()




DESCRIPTOR = _descriptor_pool.Default().AddSerializedFile(b'\n\x0emessages.proto\"\x07\n\x05\x45mpty\"\x1d\n\x0cTitleRequest\x12\r\n\x05title\x18\x01 \x01(\t\"\x1b\n\x0cPopenRequest\x12\x0b\n\x03\x61rg\x18\x01 \x01(\t\"&\n\x15\x43\x61ptureWindowResponse\x12\r\n\x05image\x18\x01 \x01(\x0c\"$\n\x0c\x43lickRequest\x12\t\n\x01x\x18\x01 \x01(\x11\x12\t\n\x01y\x18\x02 \x01(\x11\"5\n\rScrollRequest\x12\t\n\x01x\x18\x01 \x01(\x11\x12\t\n\x01y\x18\x02 \x01(\x11\x12\x0e\n\x06\x63licks\x18\x03 \x01(\x11\x32\xf3\x01\n\x06Server\x12#\n\x08SetTitle\x12\r.TitleRequest\x1a\x06.Empty\"\x00\x12*\n\x0fSubprocessPopen\x12\r.PopenRequest\x1a\x06.Empty\"\x00\x12\x31\n\rCaptureWindow\x12\x06.Empty\x1a\x16.CaptureWindowResponse\"\x00\x12 \n\x05\x43lick\x12\r.ClickRequest\x1a\x06.Empty\"\x00\x12\x1f\n\x04\x44rag\x12\r.ClickRequest\x1a\x06.Empty\"\x00\x12\"\n\x06Scroll\x12\x0e.ScrollRequest\x1a\x06.Empty\"\x00\x62\x06proto3')

_builder.BuildMessageAndEnumDescriptors(DESCRIPTOR, globals())
_builder.BuildTopDescriptorsAndMessages(DESCRIPTOR, 'messages_pb2', globals())
if _descriptor._USE_C_DESCRIPTORS == False:

  DESCRIPTOR._options = None
  _EMPTY._serialized_start=18
  _EMPTY._serialized_end=25
  _TITLEREQUEST._serialized_start=27
  _TITLEREQUEST._serialized_end=56
  _POPENREQUEST._serialized_start=58
  _POPENREQUEST._serialized_end=85
  _CAPTUREWINDOWRESPONSE._serialized_start=87
  _CAPTUREWINDOWRESPONSE._serialized_end=125
  _CLICKREQUEST._serialized_start=127
  _CLICKREQUEST._serialized_end=163
  _SCROLLREQUEST._serialized_start=165
  _SCROLLREQUEST._serialized_end=218
  _SERVER._serialized_start=221
  _SERVER._serialized_end=464
# @@protoc_insertion_point(module_scope)
